boxioo Developers

Enregistrements

Créer, lire, modifier et supprimer des enregistrements (instances d'un objet).

GET
/v1/objects/{apiName}
/v1/objects/{apiName}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

Query Parameters

limitinteger

Taille de page (1–100).

Default: 25Minimum: 1Maximum: 100

offsetinteger

Décalage de pagination.

Default: 0Minimum: 0

orderBystring

Default: "createdAt"Value in: "createdAt" | "updatedAt"

orderstring

Default: "desc"Value in: "asc" | "desc"

createdAfterstring

Format: "date-time"

updatedAfterstring

Format: "date-time"
curl -X GET "https://api.boxioo.com/v1/objects/string?limit=25&offset=0&orderBy=createdAt&order=asc&createdAfter=2019-08-24T14%3A15%3A22Z&updatedAfter=2019-08-24T14%3A15%3A22Z"

Liste paginée d'enregistrements.

{
  "object": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "apiName": "contact"
  },
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "object": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "apiName": "contact"
      },
      "owner": {
        "id": 0,
        "email": "string"
      },
      "state": {
        "id": "string",
        "name": "string"
      },
      "fields": {
        "first_name": "Alice",
        "email": "alice@acme.com"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 137,
    "hasMore": true
  }
}

POST
/v1/objects/{apiName}
/v1/objects/{apiName}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Request Body

application/jsonRequired

fieldsobject

Valeurs indexées par le systemName de chaque champ. Validées et typées côté serveur.

Example: {"first_name":"Alice","email":"alice@acme.com","status":["uuid-option-1"]}

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

Header Parameters

Idempotency-Keystring

Clé d'idempotence (8–128 caractères). Évite les doublons sur retry.

curl -X POST "https://api.boxioo.com/v1/objects/string" \
  -H "Idempotency-Key: string" \
  -H "Content-Type: application/json" \
  -d '{
    "fields": {
      "first_name": "Alice",
      "email": "alice@acme.com"
    }
  }'

Enregistrement créé.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "object": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "apiName": "contact"
  },
  "owner": {
    "id": 0,
    "email": "string"
  },
  "state": {
    "id": "string",
    "name": "string"
  },
  "fields": {
    "first_name": "Alice",
    "email": "alice@acme.com"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

GET
/v1/objects/{apiName}/{recordId}
/v1/objects/{apiName}/{recordId}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

recordIdstring

Format: "uuid"
curl -X GET "https://api.boxioo.com/v1/objects/string/497f6eca-6276-4993-bfeb-53cbbbba6f08"

Enregistrement.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "object": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "apiName": "contact"
  },
  "owner": {
    "id": 0,
    "email": "string"
  },
  "state": {
    "id": "string",
    "name": "string"
  },
  "fields": {
    "first_name": "Alice",
    "email": "alice@acme.com"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

PATCH
/v1/objects/{apiName}/{recordId}
/v1/objects/{apiName}/{recordId}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Request Body

application/jsonRequired

fieldsobject

Valeurs indexées par le systemName de chaque champ. Validées et typées côté serveur.

Example: {"first_name":"Alice","email":"alice@acme.com","status":["uuid-option-1"]}

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

recordIdstring

Format: "uuid"
curl -X PATCH "https://api.boxioo.com/v1/objects/string/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "fields": {
      "email": "nouvelle@acme.com"
    }
  }'

Enregistrement mis à jour.

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "object": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "apiName": "contact"
  },
  "owner": {
    "id": 0,
    "email": "string"
  },
  "state": {
    "id": "string",
    "name": "string"
  },
  "fields": {
    "first_name": "Alice",
    "email": "alice@acme.com"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

DELETE
/v1/objects/{apiName}/{recordId}
/v1/objects/{apiName}/{recordId}

The Authorization access token

Authorization

Authorization<token>

Envoyez ApiKey bk_live_... (préfixe littéral ApiKey obligatoire).

In: header

Path Parameters

apiNamestring

Nom système de l'objet (ex. contact).

recordIdstring

Format: "uuid"
curl -X DELETE "https://api.boxioo.com/v1/objects/string/497f6eca-6276-4993-bfeb-53cbbbba6f08"

Supprimé, pas de contenu.